Google Search
Scrape Google Search results via API and retrieve structured SERP data with pagination.
Credit cost: 1 credit per call
ApiKeyAuthx-api-key<token>Your API key. Include it in the x-api-key header for every request.
query*stringThe search query you want to run on Google (supports advanced operators like site:, inurl:, intitle:).
tbs?stringAdvanced search filters string (e.g. time ranges: qdr:h last hour, qdr:d last day, qdr:w last week, qdr:m last month, qdr:y last year).
safe?stringAdult content filter. active enables Google SafeSearch; off disables it. Omit to use Google default.
location?stringHuman-readable location to originate the search from (e.g. New York, NY, Paris, France). If several locations match, the most popular one is used. Note: location and uule cannot be used together.
uule?stringGoogle encoded location parameter. Use for precise geo targeting. Note: uule and location cannot be used together.
gl?stringCountry to use for the Google search (two-letter country code, e.g. us, fr).
hl?stringLanguage to use for the Google search (two-letter language code, e.g. en, fr).
page?numberPage number / offset used for pagination.
"1"num?numberDeprecatedMaximum number of results to return per page (deprecated).
"10"Successful response
application/json- response
pagination?knowledge_graph?organic_results?array<>search_parameters?curl -X GET 'https://api.autom.dev/v1/google/search?query=string'{ "pagination": { "next": 2, "current": 1, "other_pages": [ 2, 3, 4, 5, 6, 7, 8, 9, 10 ], "has_next_page": true }, "knowledge_graph": { "type": "Aircraft manufacturing commercial company", "title": "Airbus SE", "website": "https://www.airbus.com/en" }, "organic_results": [ { "link": "https://www.airbus.com/en", "title": "Airbus: Pioneering sustainable aerospace", "domain": "www.airbus.com", "source": "Airbus", "snippet": "Airbus designs, manufactures and delivers industry-leading commercial aircraft, helicopters, military transports, satellites, launchers and more.", "position": 1 } ], "search_parameters": { "q": "Airbus Company", "gl": "us", "hl": "en", "page": 1, "engine": "google" }}